﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using XamlBehaviorsDemo.Command;

namespace XamlBehaviorsDemo
{
    /// <summary>
    /// ActionWindow.xaml 的交互逻辑
    /// </summary>
    public partial class ActionWindow : Window
    {
        public RelayCommand OnListBoxSelectionChangedCommand { get; private set; }

        public ActionWindow()
        {
            InitializeComponent();

            OnListBoxSelectionChangedCommand = new RelayCommand(OnListBoxSelectionChanged);

            //设置数据上下文（ViewModel）
            //这里只做演示，直接使用后台类作为ViewModel
            this.DataContext = this;
        }

        public void CallMe()
        {
            System.Windows.MessageBox.Show("调用了ActionWindow的方法");
        }

        public void OnListBoxSelectionChanged(object listBoxItem)
        {
            var item = listBoxItem as ListBoxItem;

            if (item != null)
            {
                MessageBox.Show(item.Content.ToString());
            }
        }
    }
}
