﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using XamlBehaviorsDemo.Command;

namespace XamlBehaviorsDemo
{
    /// <summary>
    /// TriggerWindow.xaml 的交互逻辑
    /// </summary>
    public partial class TriggerWindow : Window, INotifyPropertyChanged
    {
        private string textBoxText;

        public string TextBoxText
        {
            get => textBoxText;
            set
            {
                textBoxText = value;
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs("TextBoxText"));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public TriggerWindow()
        {
            InitializeComponent();

            //方便演示，直接使用后台类作为ViewModel
            this.DataContext = this;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            btn.Background = Brushes.Red;
        }
    }
}
